source: trunk/softs/tests_cc_vcache/test_dma_basic/run

Last change on this file was 520, checked in by bouyer, 13 years ago

Re-add the tests; reverting previous which was done at the wrong level (sorry)

  • Property svn:executable set to *
File size: 480 bytes
RevLine 
[520]1#!/bin/sh
2
3. ../common/common.sh
4
5check_output()
6{
7 egrep "^after DMA 0x0000F00D 0x0000F00D 0x0000BEEF 0x0000DEAD 0x0000DEAD$" run.out > /dev/null
8 if [ $? -eq 0 ]; then
9 return 0;
10 fi
11 echo "couldn't find string in output - mtty not working ?" >> run.out
12 return 1
13}
14
15make --quiet || exit 1
16${SIMUL} > run.out 2>&1
17if [ $? -eq 0 ]; then
18 if check_output; then
19 echo "test passsed";
20 make --quiet clean
21 exit 0;
22 fi
23 echo "test FAILED"
24 exit 1
25fi
26echo "test FAILED"
27exit 1
28
Note: See TracBrowser for help on using the repository browser.